What versions/generations of iPad and iPhone are supported by drchrono?

Supported iOS Devices in drchrono

drchrono supports only the most recent release of iOS and all devices compatible with it. Apple does not support all devices in each release of iOS and will periodically discontinue support for older devices. Accordingly, drchrono also discontinues support for older devices. The list of actively supported devices is listed below. To guarantee that you have the best drchrono experience, we highly recommend you purchase the most recent version of iPad Pro, iPad Air, iPad Mini, and/or iPhone. If you are not sure what device you currently own, please follow Apple's guide on identifying your device:

iPad Pro

  • iPad Pro 12.9-inch (Late 2015)
  • iPad Pro 9.7-inch (Early 2016)
iPad Air
  • iPad Air 2 (Late 2014)
  • iPad Air (Late 2013)
iPad (Discontinued by Apple in 2013, replaced by iPad Air)
  • iPad 4th generation (Late 2012)
iPad Mini
  • iPad Mini 4 (Late 2015)
  • iPad Mini 3 (Late 2014)
  • iPad Mini 2 (Late 2013)
 iPhone
  • iPhone 7 (Late 2016)
  • iPhone 7 Plus (Late 2016)
  • iPhone 6S (Late 2015)
  • iPhone 6S Plus (Late 2015)
  • iPhone 6 (Late 2014)
  • iPhone 6 Plus (Late 2014)
  • iPhone SE (Early 2016)
  • iPhone 5S (Late 2013)
  • iPhone 5C (Late 2013)
  • iPhone 5 (Late 2012)
 
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk